kdecore Library: KAsyncIO Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAsyncIO Class Reference

Asynchronous I/O Support Asynchronous I/O support. More...

`#include <kasyncio.h>`

Inheritance diagram for KAsyncIO:

[legend]
Collaboration diagram for KAsyncIO:

[legend]
List of all members.

## Signals
void | readyRead ()
void | readyWrite ()
## Public Member Functions
virtual void | enableRead (bool enable)=0
virtual void | enableWrite (bool enable)=0
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Asynchronous I/O Support Asynchronous I/O support.

This abstract class provides basic functionality for asynchronous I/O support on top of QIODevice.

Author:
  Thiago Macieira <thiago.macieira@kdemail.net>

Definition at line 38 of file kasyncio.h.

## Member Function Documentation

virtual void KAsyncIO::enableRead | ( | bool | enable | ) | `[pure virtual]`

  | Toggles the emission of the readyRead() signal whenever the device is ready for reading. This is useful if you want to know the first time the device is ready for reading and you don't want to read it now. Parameters:
  | enable | true to enable, false to disable the readyRead() signal

virtual void KAsyncIO::enableWrite | ( | bool | enable | ) | `[pure virtual]`

  | Toggles the emission of the readyWrite() signal whenever the device is ready for writing. This is useful if you want to know the first time the device is ready for writing and you don't want to write to it now. Parameters:
  | enable | true to enable, false to disable the readyWrite() signal

void KAsyncIO::readyRead | ( |  | ) | `[signal]`

| This signal gets sent when the device is ready for reading.

void KAsyncIO::readyWrite | ( |  | ) | `[signal]`

| This signal gets sent when the device is ready for writing.

The documentation for this class was generated from the following files:

- kasyncio.h
- kasyncio.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:19 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003